<%@ taglib uri="/WEB-INF/tld/ejieFramework-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<jsp:directive.page import="w83b.w83bUtilidadesComunes.W83bClsConstantes"/>
<%@ page 
import="es.ejie.frmk.listeners.base.Q70ListenerUtils"
%>
<% 
   String imagesPath = Q70ListenerUtils.getApplicationResourceURI("PREFIJO_URL_ESTATICO","ALIAS_IMAGENES"); 	
   String strLenguaje=Q70ListenerUtils.getLanguage(request);
   String riastaticPath = Q70ListenerUtils.getApplicationResourceURI("PREFIJO_URL_ESTATICO","ALIAS_ESTATICO_RIA");
   String PREFIJO_URL_DINAMICO = Q70ListenerUtils.getApplicationProperty("PREFIJO_URL_DINAMICO");	
%>
<%@page import="com.ejie.general.cargador.W83bCargadorEstaticos"%><!-- Include de los elementos comunes -->
<%=W83bCargadorEstaticos.referenciaEstaticosUrlJS(new String[]{"dialogo-v1.0.0"},PREFIJO_URL_DINAMICO)%>

<script type="text/javascript">
	var currentFocus = null;
	var telonAbierto = false;
jQuery(document).ready(function(){
	$.fn.jq_ejie_dialogo.i18nServlet = '<%=""+PREFIJO_URL_DINAMICO+"/riaI18NServlet"%>';

	$("form").each(function(idx, itm){
	    $(itm).append("<input id='serializando' value='serializando' type='hidden' name='serializando'>");    
	});

	$(':input').focus( function() {
	    currentFocus = this;
		//alert("id -> "+$(this).attr("id"));
	}).blur( function() {

	    //currentFocus = null;

	}).focusout( function() {

	    //currentFocus = null;

	}); 
});
function showTelon(){
	telonAbierto = true;
	$.fn.jq_ejie_dialogo({
		dialogType: 'telon',
		key: 'ejie.dialogo.feedback',
		i18nFich: 'properties/w83bcomunRIA',
		image: '<%=riastaticPath+"/images/precarga.gif"%>',
		width: '300',
		isModal: true,
		isDraggable: true,
		isResizeable: true,
		integradaPortal: true,
		hasBorder: true
	});
}
function showTelonAsync(){
	telonAbierto = true;
	$.fn.jq_ejie_dialogo({
		dialogType: 'telon',
		key: 'ejie.dialogo.feedback',
		i18nFich: 'properties/w83bcomunRIA',
		image: '<%=riastaticPath+"/images/precarga.gif"%>',
		width: '300',
		isModal: true,
		isDraggable: true,
		isResizeable: true,
		integradaPortal: true,
		hasBorder: true,
		async:false
	});
}

function closeTelon(){
	if(telonAbierto){
		if($('#ejie_dialogo_feedback').length==0){
			setTimeout(function(){
				$('#ejie_dialogo_feedback').dialog("close");
			},1500);
		}else{
				$('#ejie_dialogo_feedback').dialog("close");
			}	
		if(undefined != currentFocus
				&& null!=currentFocus){
			$(currentFocus).focus();
		}
			currentFocus = null;
		telonAbierto = false;
	}
}

function closeTelonSinFocus(){
	if($('#ejie_dialogo_feedback').length==0){
		setTimeout(function(){
			$('#ejie_dialogo_feedback').dialog("close");
		},1500);
	}else{
			$('#ejie_dialogo_feedback').dialog("close");
		}	
	if(undefined != currentFocus
			&& null!=currentFocus){
		$(currentFocus).focus();
	}
		currentFocus = null;
}

function vaciarCampoFoco(){
		currentFocus = null;	
}

</script>



<!--Comienzo Cabecera-->
			<h3>
				<bean:define id="strTitleKeyPpal" property="strTitleKeyPpal" name="contexto"/>
				<div id="tituloPrincipal" "atitleMenu_w83b"><html:message  key="<%=strTitleKeyPpal.toString()%>" i18nKey="w83bcomun"/></div>
			</h3>
			<h4>
				<bean:define id="strTituloKey" property="strTitleKey" name="contexto"/>
				<div id="tituloSecundario" class="atitleMenu_w83b"><html:message  key="<%=strTituloKey.toString()%>" i18nKey="w83bcomun"/></div>
			</h4>
			
		 <logic:messagesPresent message="true">
				<html:messages id="mensajesAplicacionnoError" message="true">
					<div class="erroresValidacion">
						<bean:write name="mensajesAplicacionnoError"/>
					</div>
				</html:messages>
			</logic:messagesPresent>
			<div id="idFeeback" class="feedbackArea_validaciones">
				<html:errors i18nKey="w83brecursosErrores"/>	
			</div>

